Add the ability to filter issues on parent task.
Resolution: Duplicate   

Description

Like filter on "Related to", "Blocks", "Blocked by" ... add a new filter option on Parent task.

 ParentTaskFilter.png 

Related issues:

Related to Redmine - Feature #6118: Filter by parent task or subtasks Closed 2010-08-12

History

#1 - 2013-12-23 16:17 - VD DV

+1

It would be nice to have this option. This option should not be limited to direct parent/child relationship. Also, multilevel relationships should be

possible to filter. For example, filter all issues that are descendants of specified issue.

Proposition of this functionality can be implemented by extending issues table by extra field (eg named ancestors_and_me). This field should contain

all issue_id's of all ancestors of current issue (for example 12345), delimited by delimiter(for example '#'), folowed by current issue id (12345).

If ancestors_and_me for example contains this value:

"0009876#0007654#0003456#0012345"

That means that issue with issue_id 0012345 has father with issue_id 0003456, grandfather with issue_id 0007654, and grandgrandfather with issue

id 0009876.

Something like this:

0009876

0007654

0003456

0012345

 

 

In this way filtering by parent/child relation is matter of simple SQL  LIKE query.

#2 - 2014-02-05 09:01 - Luis Serrano Aranda

!

#3 - 2014-10-25 06:25 - Mischa The Evil

- Related to Feature #6118: Filter by parent task or subtasks added

#4 - 2018-01-04 12:57 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Filter "Parent task" and "Subtasks" were implemented by #6118 (Redmine 3.1.0).
